USE COWS
GO

DECLARE @Prop TABLE
	(
		 ORDR_ID		INT
		,OLD_PROP_ID	INT
		,NEW_PROP_ID	INT	DEFAULT 0
		,CAT_ID			TINYINT 
		,CCD_FLG		BIT DEFAULT '0'
	)
	
INSERT INTO @Prop (ORDR_ID,OLD_PROP_ID,CAT_ID)
SELECT o.ORDR_ID,ISNULL(o.PPRT_ID,0),o.ORDR_CAT_ID
	FROM	dbo.ORDR	o	WITH (NOLOCK)
LEFT JOIN	dbo.LK_PPRT lp	WITH (NOLOCK)	ON	o.PPRT_ID = lp.PPRT_ID
	WHERE	o.ORDR_CAT_ID IN (1,2)
		

UPDATE p
	SET p.CCD_FLG = '1'
	FROM @Prop p
INNER JOIN dbo.ACT_TASK at ON at.ORDR_ID = p.ORDR_ID
	WHERE ((at.TASK_ID = 211) OR (at.TASK_ID = 106))
		AND at.STUS_ID = 0
	

UPDATE @Prop
SET		NEW_PROP_ID = dbo.getPropertyID(ORDR_ID,CAT_ID,ISNULL(CCD_FLG,'0'))

UPDATE o
SET o.PPRT_ID = p.NEW_PROP_ID
FROM dbo.ORDR o WITH (ROWLOCK)
INNER JOIN @Prop p ON p.ORDR_ID = o.ORDR_ID
WHERE ISNULL(p.NEW_PROP_ID,0) <> 0

SELECT * FROM @Prop

--SELECT p.ORDR_ID,f.ORDR_TYPE_CD,f.PROD_TYPE_CD,p.CCD_FLG,lp.CCD_CHNG_REQ_CD 
--	FROM @Prop p
--INNER JOIN dbo.FSA_ORDR f WITH (NOLOCK) ON p.ORDR_ID = f.ORDR_ID
--INNER JOIN dbo.ORDR o WITH (NOLOCK) ON o.ORDR_ID = f.ORDR_ID
--INNER JOIN dbo.LK_PPRT lp WITH (NOLOCK) ON o.PPRT_ID = lp.PPRT_ID
	